clusplot {cluster} | R Documentation

## Bivariate Cluster Plot (of a Partitioning Object)

### Description

Draws a 2-dimensional “clusplot” (clustering plot) on the current graphics device. The generic function has a default and a `partition` method.

### Usage

    clusplot(x, ...)

    ## S3 method for class 'partition'
    clusplot(x, main = NULL, dist = NULL, ...)

### Arguments

`x` | an R object, here, specifically an object of class `"partition"`, e.g. created by one of the functions `pam`, `clara`, or `fanny`.
`main` | title for the plot; when `NULL` (by default), a title is constructed, using `x$call`.
`dist` | when `x` does not have a `diss` nor a `data` component, e.g., for `pam(dist(*), keep.diss=FALSE)`, `dist` must specify the dissimilarity for the clusplot.
`...` | optional arguments passed to methods, notably the `clusplot.default` method (except for the `diss` one) may also be supplied to this function. Many graphical parameters (see `par`) may also be supplied as arguments here.

### Details

The `clusplot.partition()` method relies on `clusplot.default`.

If the clustering algorithms `pam`, `fanny` and `clara` are applied to a data matrix of observations-by-variables then a clusplot of the resulting clustering can always be drawn. When the data matrix contains missing values and the clustering is performed with `pam` or `fanny`, the dissimilarity matrix will be given as input to `clusplot`. When the clustering algorithm `clara` was applied to a data matrix with NAs then clusplot will replace the missing values as described in `clusplot.default`, because a dissimilarity matrix is not available.

### Value

For the `partition` (and `default`) method: An invisible list with components `Distances` and `Shading`, as for `clusplot.default`, see there.

### Side Effects

a 2-dimensional clusplot is created on the current graphics device.

### See Also

`clusplot.default` for references; `partition.object`, `pam`, `pam.object`, `clara`, `clara.object`, `fanny`, `fanny.object`, `par`.

### Examples

     ## For more, see ?clusplot.default

    ## generate 25 objects, divided into 2 clusters.
    x <- rbind(cbind(rnorm(10,0,0.5), rnorm(10,0,0.5)),
               cbind(rnorm(15,5,0.5), rnorm(15,5,0.5)))
    clusplot(pam(x, 2))
    ## add noise, and try again :
    x4 <- cbind(x, rnorm(25), rnorm(25))
    clusplot(pam(x4, 2))

[Package cluster version 1.14.2 Index]